{
  "name": "@lvqconsult/spatium-db",
  "version": "0.0.7",
  "description": "Simple diffable json file database",
  "keywords": [
    "json",
    "database",
    "diffable",
    "simple"
  ],
  "main": "dist/index.js",
  "files": [
    "dist",
    "package.json",
    "LICENSE",
    "README.md"
  ],
  "scripts": {
    "test": "eslint 'tests/**/*.{js,ts,tsx}' --quiet && testyts",
    "lint": "eslint 'src/**/*.{js,ts,tsx}' --quiet",
    "build": "rimraf dist && npm run tsc",
    "tsc": "tsc --build tsconfig.json",
    "prepare": "husky install",
    "precommit": "lint-staged",
    "prepublishOnly": "npm run lint && npm run test && npm run build"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/lvq-consult/spatium/spatium-db.git"
  },
  "author": "Lars von Qualen <lars@lvq.dk>",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/lvq-consult/spatium/spatium-db/issues"
  },
  "homepage": "https://gitlab.com/lvq-consult/spatium/spatium-db#readme",
  "devDependencies": {
    "@types/fs-extra": "^9.0.11",
    "@types/glob": "^7.1.3",
    "@types/lodash": "^4.14.168",
    "@types/node": "^14.14.37",
    "@types/uuid": "^8.3.0",
    "@typescript-eslint/eslint-plugin": "^4.22.0",
    "@typescript-eslint/parser": "^4.22.0",
    "eslint": "^7.24.0",
    "eslint-config-prettier": "^8.1.0",
    "eslint-plugin-prettier": "^3.3.1",
    "husky": "^6.0.0",
    "lint-staged": "^10.5.4",
    "prettier": "^2.2.1",
    "rimraf": "^3.0.2",
    "testyts": "^1.2.0",
    "typescript": "^4.2.4"
  },
  "lint-staged": {
    "src/**/*.{js,ts,tsx}": [
      "eslint --fix"
    ],
    "tests/**/*.{js,ts,tsx}": [
      "eslint --fix"
    ]
  },
  "dependencies": {
    "fs-extra": "^9.1.0",
    "glob": "^7.1.6",
    "lodash": "^4.17.21",
    "uuid": "^8.3.2"
  }
}
